Bug 1024960 - HotRodClientException should inherit from std::exception
HotRodClientException should inherit from std::exception
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: CPP Client (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: ER5
: 6.2.0
Assigned To: Tristan Tarrant
Alan Field
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 12:21 EDT by Radim Vansa
Modified: 2018-01-29 20:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HRCPP-57 Major Closed HotRodClientException should inherit from std::exception 2013-12-10 08:27:01 EST

  None (edit)
Description Radim Vansa 2013-10-30 12:21:56 EDT
Application code can expect all exceptions to inherit from std::exception - HotRodClientException should do this as well.

Note You need to log in before you can comment on or make changes to this bug.